Loading...
Searching...
No Matches
Opm::WListManager Class Reference

## Public Member Functions

| WListManager (const RestartIO::RstState &rst_state)
std::size_t | WListSize () const
bool | hasWell (const std::string &pattern) const
| Whether or not one or more wells matching a well list name or well list template exists.
bool | hasList (const std::string &) const
WList & | getList (const std::string &name)
const WList & | getList (const std::string &name) const
WList & | newList (const std::string &name, const std::vector< std::string > &wname)
const std::vector< std::string > & | getWListNames (const std::string &wname) const
std::size_t | getNoWListsWell (const std::string &wname) const
bool | hasWList (const std::string &wname) const
void | addWListWell (const std::string &wname, const std::string &wlname)
void | addOrCreateWellList (const std::string &wlname, const std::vector< std::string > &wnames)
void | delWell (const std::string &wname)
void | delWListWell (const std::string &wname, const std::string &wlname)
bool | operator== (const WListManager &data) const
std::vector< std::string > | wells (const std::string &wlist_pattern) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static WListManager | serializationTestObject ()

## Member Function Documentation

## hasWell()

bool Opm::WListManager::hasWell | ( | const std::string & | pattern | ) | const

Whether or not one or more wells matching a well list name or well list template exists.

This predicate checks whether or not a well list exists matching the pattern and that that well list is non-empty.

Parameters

  [in] | pattern | Well list name or well list template.

Returns
  Whether or not there are any current wells matching `pattern`.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/WListManager.hpp
- opm/input/eclipse/Schedule/Well/WListManager.cpp